<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title> Blank</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Blank</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-list>
    <ion-item>
      <ion-label position="floating">Enter the "session" data</ion-label>
      <ion-input [(ngModel)]="state.session"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-button expand="block" (click)="setSession(state.session)"> Set Session Data</ion-button>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-button expand="block" (click)="restoreSession()"> Restore Session Data</ion-button>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-button expand="block" (click)="lockVault()">Lock Vault</ion-button>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-button expand="block" (click)="unlockVault()">Unlock Vault</ion-button>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-button expand="block" (click)="clearVault()">Clear Vault</ion-button>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>
        <div>Session Data: {{ state.session }}</div>
        <div>Vault is locked: {{ state.isLocked }}</div>
      </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>Use Privacy Screen</ion-label>
      <ion-checkbox [(ngModel)]="state.privacyScreen" (ionChange)="setPrivacyScreen()"></ion-checkbox>
    </ion-item>

    <ion-item>
      <ion-radio-group [(ngModel)]="state.lockType" (ionChange)="setLockType()">
        <ion-list-header>
          <ion-label> Vault Locking Mechanism</ion-label>
        </ion-list-header>

        <ion-item>
          <ion-label>Do Not Lock</ion-label>
          <ion-radio [disabled]="state.canUseCustomPasscode" value="NoLocking"></ion-radio>
        </ion-item>

        <ion-item>
          <ion-label>Use Biometrics</ion-label>
          <ion-radio [disabled]="!state.canUseBiometrics" value="Biometrics"></ion-radio>
        </ion-item>

        <ion-item>
          <ion-label>Use System Passcode</ion-label>
          <ion-radio [disabled]="!state.canUseSystemPasscode" value="SystemPasscode"></ion-radio>
        </ion-item>
      </ion-radio-group>
    </ion-item>
  </ion-list>
</ion-content>
